import { PageQuery, BaseEntity } from '@/api/interface/index'
export interface FaultCaseVO extends BaseEntity {
  /**
   * 机型
   */
  aircraftType: string

  /**
   * 单位
   */
  unitName: string

  /**
   * 故障件名称
   */
  itemName: string

  /**
   * 专业
   */
  specialty: string

  /**
   * 故障现象
   */
  faultPhenomenon: string

  /**
   * 发动机型别
   */
  engineType: string

  /**
   * 故障发生地点
   */
  locationFault: string

  /**
   * 故障件型别
   */
  itemType: string

  /**
   * 发生日期
   */
  occurDate: string

  /**
   * 系统
   */
  systemName: string

  /**
   * 故障原因
   */
  causeFault: string

  /**
   * 故障性质
   */
  natureFault: string

  /**
   * 判明方法
   */
  methodDetermination: string

  /**
   * 排除方法
   */
  methodRectification: string

  /**
   * 备注
   */
  remarks: string

  /**
   * 创建人
   */
  createBy: number

  /**
   * 创建时间
   */
  createTime: string

  /**
   * 更新人
   */
  updateBy: number

  /**
   * 更新时间
   */
  updateTime: string
}

export interface FaultCaseForm {
  /**
   * 编号
   */
  id?: string | number

  /**
   * 机型
   */
  aircraftType?: string

  /**
   * 单位
   */
  unitName?: string

  /**
   * 故障件名称
   */
  itemName?: string

  /**
   * 专业
   */
  specialty?: string

  /**
   * 故障现象
   */
  faultPhenomenon?: string

  /**
   * 发动机型别
   */
  engineType?: string

  /**
   * 故障发生地点
   */
  locationFault?: string

  /**
   * 故障件型别
   */
  itemType?: string

  /**
   * 发生日期
   */
  occurDate?: string

  /**
   * 系统
   */
  systemName?: string

  /**
   * 故障原因
   */
  causeFault?: string

  /**
   * 故障性质
   */
  natureFault?: string

  /**
   * 判明方法
   */
  methodDetermination?: string

  /**
   * 排除方法
   */
  methodRectification?: string

  /**
   * 备注
   */
  remarks?: string
}

export interface FaultCaseQuery extends PageQuery {
  /**
   * 机型
   */
  aircraftType?: string

  /**
   * 单位
   */
  unitName?: string

  /**
   * 故障件名称
   */
  itemName?: string

  /**
   * 发生日期
   */
  occurDate?: string

  /**
   * 系统
   */
  systemName?: string

  /**
   * 日期范围参数
   */
  params?: any
}
