import { PageQuery, BaseEntity } from '@/api/interface/index'
export interface SortieVO extends BaseEntity {
  /**
   * 架次号
   */
  sortieNo: string

  /**
   * 机号
   */
  aircraftNo: string

  /**
   * 飞行日期
   */
  flightDate: string

  /**
   * 开始时间
   */
  startTime: string

  /**
   * 结束时间
   */
  endTime: string

  /**
   * 飞行时长
   */
  duration: string

  /**
   * 创建人
   */
  createBy: number

  /**
   * 创建时间
   */
  createTime: string

  /**
   * 更新人
   */
  updateBy: number

  /**
   * 更新时间
   */
  updateTime: string
}

export interface SortieForm {
  /**
   * 编号
   */
  id?: string | number

  /**
   * 架次号
   */
  sortieNo?: string

  /**
   * 机号
   */
  aircraftNo?: string

  /**
   * 飞行日期
   */
  flightDate?: string

  /**
   * 开始时间
   */
  startTime?: string

  /**
   * 结束时间
   */
  endTime?: string

  /**
   * 飞行时长
   */
  duration?: string
}

export interface SortieQuery extends PageQuery {
  /**
   * 架次号
   */
  sortieNo?: string

  /**
   * 机号
   */
  aircraftNo?: string

  /**
   * 飞行日期
   */
  flightDate?: string

  /**
   * 日期范围参数
   */
  params?: any
}
