import http from '@/api'
import { ImportExportVO, ImportExportQuery } from '@/api/interface/system/importExport'
/**
 * @name 查询导入导出日志列表
 * @param query 参数
 * @returns 返回列表
 */
export const listImportExportApi = (query: ImportExportQuery) => {
  return http.get<ImportExportVO[]>('/system/importExport/list', query, { loading: true })
}

/**
 * @name 查询导入导出日志详细
 * @param id id
 * @returns returns
 */
export const getImportExportApi = (id: string | number) => {
  return http.get<ImportExportVO>(`/system/importExport/${id}`)
}
